Skip to main content
PUT
/
payins
/
{id}
Sync payin status
curl --request PUT \
  --url https://{subdomain}.truust.io/2.0/payins/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{subdomain}.truust.io/2.0/payins/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.put(url, headers=headers)

print(response.text)
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{subdomain}.truust.io/2.0/payins/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "self": "/2.0/payins/456",
  "reference": "<string>",
  "type": "<string>",
  "subtype": "<string>",
  "provider": {},
  "tag": "<string>",
  "direct_link": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "confirmed_at": "2023-11-07T05:31:56Z",
  "denied_at": "2023-11-07T05:31:56Z",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

id
integer
required

Payin ID.

Response

200 - application/json

Updated payin

id
integer
self
string
Example:

"/2.0/payins/456"

reference
string | null

Provider's payment reference ID.

type
string

Payment method type (e.g. CARD, BANKWIRE, WALLET).

subtype
string | null
status
enum<string>
Available options:
CREATED,
AUTHORIZED,
CONFIRMED,
DENIED,
REFUNDED,
CANCELLED
provider
object

Raw provider response data.

tag
string | null

Payment page URL. Only present when status is CREATED or AUTHORIZED.

created_at
string<date-time> | null
confirmed_at
string<date-time> | null
denied_at
string<date-time> | null
connections
object

Hypermedia links to related resources.